Bug 123134 - Port update: graphics/tif22pnm - Distfile changed upstream
Summary: Port update: graphics/tif22pnm - Distfile changed upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-27 08:20 UTC by ganael.laplanche
Modified: 2008-04-27 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1020 bytes, patch)
2008-04-27 08:20 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-04-27 08:20:01 UTC
This patch changes distinfo for graphics/tif22pnm as the distfile has changed upstream. A diff between the old and the new version shows minimal changes :

8<------------
diff -aurN tif22pnm.orig/work/tif22pnm-0.12/Makefile tif22pnm/work/tif22pnm-0.12/Makefile
--- tif22pnm.orig/work/tif22pnm-0.12/Makefile   2003-02-07 18:29:11.000000000 +0100
+++ tif22pnm/work/tif22pnm-0.12/Makefile        2006-05-22 12:01:30.000000000 +0200
@@ -1,15 +1,23 @@
-.PHONY: all install distclean dist
+.PHONY: all install distclean dist compile clean

-all:
-       [ -f config.h ] || ./configure
+compile: compiled.stamp
+
+all compiled.stamp: config.h
        ./do.sh compile
+       touch compiled.stamp
+
+config.h:
+       ./configure

 distclean:
        ./do.sh confclean

-install:
-       cp tif22pnm $(prefix)/bin
-       cp png22pnm $(prefix)/bin
+install: compiled.stamp
+       test -f tif22pnm || exit 0; . cc_help.sh && cp tif22pnm "$$prefix"/bin
+       test -f png22pnm || exit 0; . cc_help.sh && cp png22pnm "$$prefix"/bin

 dist: distclean
        ./do.sh dist
+
+clean:
+       ./do.sh clean
diff -aurN tif22pnm.orig/work/tif22pnm-0.12/cc_help.sh.in tif22pnm/work/tif22pnm-0.12/cc_help.sh.in
--- tif22pnm.orig/work/tif22pnm-0.12/cc_help.sh.in      2003-02-05 21:21:27.000000000 +0100
+++ tif22pnm/work/tif22pnm-0.12/cc_help.sh.in   2006-05-22 11:53:37.000000000 +0200
@@ -1,6 +1,7 @@
 if test x"$CC" = x; then
   CC='@CC@'
 fi
+prefix='@prefix@'
 LD='@CC@'
 LIBS_PNG='@LIBS_PNG@'
 LIBS_TIFF='@LIBS_TIFF@'
diff -aurN tif22pnm.orig/work/tif22pnm-0.12/debian/changelog tif22pnm/work/tif22pnm-0.12/debian/changelog
--- tif22pnm.orig/work/tif22pnm-0.12/debian/changelog   2003-10-20 15:55:10.000000000 +0200
+++ tif22pnm/work/tif22pnm-0.12/debian/changelog        2006-05-22 12:02:08.000000000 +0200
@@ -1,3 +1,9 @@
+tif22pnm (0.11-3) unstable; urgency=low
+
+  * Fiexed $prefix in make install
+
+ -- Szabó Péter <pts@math.bme.hu>  Mon, 22 May 2006 12:01:57 +0200
+
 tif22pnm (0.11-2) unstable; urgency=low

   * packaging changes
8<------------

There will be no impact for the port as the binaries are built 'manually' from the port's Makefile, bypassing the inner build mechanism (Makefile + scripts). I do not bump PORTREVISION since there is no functional change.

I'll also take maintainership.

Fix: Patch attached with submission follows:
Comment 1 dfilter freebsd_committer 2008-04-27 09:28:10 UTC
miwi        2008-04-27 08:28:05 UTC

  FreeBSD ports repository

  Modified files:
    graphics/sam2p       Makefile distinfo 
  Log:
  - Update to 0.45
  
  PR:             123134
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  
  Revision  Changes    Path
  1.18      +1 -4      ports/graphics/sam2p/Makefile
  1.8       +3 -3      ports/graphics/sam2p/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 dfilter freebsd_committer 2008-04-27 09:31:45 UTC
miwi        2008-04-27 08:31:40 UTC

  FreeBSD ports repository

  Modified files:
    graphics/tif22pnm    Makefile distinfo 
  Log:
  - File was rerolled
  - Pass maintainership to submitter
  
  Notes from Changelog:
          * Fixed $prefix in make install
  
  PR:             123134
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  
  Revision  Changes    Path
  1.11      +2 -1      ports/graphics/tif22pnm/Makefile
  1.7       +3 -3      ports/graphics/tif22pnm/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2008-04-27 09:31:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!